
Katello - Bug #5574

CDN path verification should handle redirects

05/05/2014 06:39 PM - Justin Sherrill

Status: Closed   

Priority: High   

Assignee: Ivan Necas   

Category: Orchestration   

Target version: Katello 2.0   

Difficulty:  Fixed in Releases:  

Triaged: Yes Found in Releases:  

Bugzilla link: 1099221 Red Hat JIRA:  

Pull request:    

Description

Currently the cdn_var_substitutor#valid_substitutions? treats 301 redirects as an error.  In some cases it will try to fetch

$REPO_URL/repodata which causes a redirect to $REPO_URL/repodata/.  One solution is to have it request

$REPO_URL/repodata/repomd.xml, but i would argue it should just follow redirects as well.

Associated revisions

Revision 68149256 - 05/27/2014 01:26 PM - Ivan Necas

Fixes #5574 - consider 301 as correct response for the cdn path

But check for `repodata/` instead of `repodata` as that's what we want

in the first place.

Revision ca930f2d - 05/27/2014 02:05 PM - Ivan Necas

Merge pull request #4156 from iNecas/1099221

Fixes #5574 - consider 301 as correct response for the cdn path

History

#1 - 05/07/2014 04:08 PM - Justin Sherrill

To temporarily patch the issue:

/opt/rh/ruby193/root/usr/share/gems/gems/katello-1.5.0/app/lib/katello/util/cdn_var_substitutor.rb

Line 116:

 Change:

        is_valid = valid_path?(real_path, 'repodata') || valid_path?(real_path, 'PULP_MANIFEST')

 To:

        is_valid = valid_path?(real_path, 'repodata/repomd.xml') || valid_path?(real_path, 'PULP_MANIFEST')

#2 - 05/19/2014 10:35 PM - Mike McCune

- Due date set to 05/22/2014

- Assignee set to Mike McCune

- Target version set to 44

- Triaged changed from No to Yes

#3 - 05/26/2014 03:05 PM - Ivan Necas

- Status changed from New to Assigned

- Assignee changed from Mike McCune to Ivan Necas

- Bugzilla link set to https://bugzilla.redhat.com/show_bug.cgi?id=1099221
#4 - 05/27/2014 01:27 PM - Ivan Necas

- Status changed from Assigned to Ready For Testing

https://github.com/Katello/katello/pull/4156

#5 - 05/27/2014 02:52 PM - Ivan Necas

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset katello|commit:68149256f311f3426c60b7dc73f0f69dda96368a.

#6 - 08/22/2014 08:22 AM - Eric Helms

- translation missing: en.field_release set to 13
